package tech.mercantec.easyeat

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.widget.Button
import android.widget.LinearLayout
import androidx.appcompat.app.AppCompatActivity

class CreateDishActivity : AppCompatActivity() {

    private lateinit var ingredientContainer: LinearLayout

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_create_dish_form)

        ingredientContainer = findViewById(R.id.ingredientContainer)
        val addButton: Button = findViewById(R.id.addIngredientButton)

        // Add the first ingredient row manually at startup
        addIngredientRow()

        // Set up button to add new rows
        addButton.setOnClickListener {
            addIngredientRow()
        }
    }

    private fun addIngredientRow() {
        val inflater = LayoutInflater.from(this)
        val ingredientRow = inflater.inflate(R.layout.activity_create_dish_ingredient_row, null)

        // Handle remove button in each row
        val removeButton: Button = ingredientRow.findViewById(R.id.removeButton)
        removeButton.setOnClickListener {
            ingredientContainer.removeView(ingredientRow)
        }

        ingredientContainer.addView(ingredientRow)
    }
}
