package tech.mercantec.easyeat.helpers

import android.content.Context
import kotlinx.serialization.Serializable

@Serializable
data class LoginRequest(val emailUsr: String, val password: String)

@Serializable
data class LoginResponse(val token: String, val userName: String, val id: Int, val refreshToken: String)

fun login(email: String, password: String) {
    val request = LoginRequest(email, password)

    val response = requestJson<LoginRequest, LoginResponse>("POST", "/api/User/login", request)

    // TODO save tokens

}

@Serializable
data class CreateUserRequest(val email: String, val userName: String, val password: String)

fun register(email: String, username: String, password: String) {
    val request = CreateUserRequest(email, username, password)

    requestJson<CreateUserRequest, Boolean>("POST", "/api/User/create", request)
}
