package tech.mercantec.easyeat.ui.dishes

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ArrayAdapter
import android.widget.TextView
import tech.mercantec.easyeat.R
import tech.mercantec.easyeat.models.Dish

class DishAdapter(context: Context, dishes: Array<Dish>) :
    ArrayAdapter<Dish>(context, 0, dishes) {

    override fun getView(position: Int, convertView: View?, parent: ViewGroup): View {
        val dish = getItem(position)
        val view = convertView ?: LayoutInflater.from(context).inflate(R.layout.dish_list_item, parent, false)

        val nameTextView = view.findViewById<TextView>(R.id.dishName)
        val ingredientTextView = view.findViewById<TextView>(R.id.mainIngredient)
        val expenseTextView = view.findViewById<TextView>(R.id.expense)

        nameTextView.text = "Name: ${dish?.name}"
        ingredientTextView.text = "Main Ingredient: ${dish?.mainIngredient}"
        expenseTextView.text = "Expense: ${dish?.expense} kr"

        return view
    }
}
